package xn.xxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class Face {
    @PrimaryKey(autoGenerate = true)
    private long userId;
    private String faceUrl = "";
    private String userName = "";
    private String isWhite = "";
    private String userType = "";
    private String pageType = "";
    private String isDutyUser = "";
    private long lastUpdated;

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getFaceUrl() {
        return faceUrl;
    }

    public void setFaceUrl(String faceUrl) {
        this.faceUrl = faceUrl;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getIsWhite() {
        return isWhite;
    }

    public void setIsWhite(String isWhite) {
        this.isWhite = isWhite;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getPageType() {
        return pageType;
    }

    public void setPageType(String pageType) {
        this.pageType = pageType;
    }

    public String getIsDutyUser() {
        return isDutyUser;
    }

    public void setIsDutyUser(String isDutyUser) {
        this.isDutyUser = isDutyUser;
    }

    public long getLastUpdated() {
        return lastUpdated;
    }

    public void setLastUpdated(long lastUpdated) {
        this.lastUpdated = lastUpdated;
    }

    @Override
    public String toString() {
        return "Face{" +
                "userId=" + userId +
                ", faceUrl='" + faceUrl + '\'' +
                ", userName='" + userName + '\'' +
                ", isWhite='" + isWhite + '\'' +
                ", userType='" + userType + '\'' +
                ", pageType='" + pageType + '\'' +
                ", isDutyUser='" + isDutyUser + '\'' +
                ", lastUpdated=" + lastUpdated +
                '}';
    }
}
